Package uk.ac.starlink.topcat.plot2

## Class MultiShaderController

- java.lang.Object
- - uk.ac.starlink.topcat.plot2.MultiController<ShaderControl>
  - - uk.ac.starlink.topcat.plot2.MultiShaderController

-     public class MultiShaderController
      extends MultiController<ShaderControl>

  MultiController that works with ShaderControl instances.
  Since:
    27 May 2016
  Author:
    Mark Taylor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.MultiController

      `MultiController.ControllerFactory<C>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiShaderController​(ZoneFactory zfact, MultiConfigger configger, ToggleButtonModel auxLockModel)` | Constructor.

  - ### Method Summary

    - ### Methods inherited from class uk.ac.starlink.topcat.plot2.MultiController

      `getConfigger, getController, getControllerMap, getStackControls, getZones, setZones`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiShaderController

          public MultiShaderController​(ZoneFactory zfact,
                                       MultiConfigger configger,
                                       ToggleButtonModel auxLockModel)

      Constructor.
      Parameters:
        `zfact` - zone id factory
        `configger` - manages per-zone shader config items
        `auxLockModel` - single toggle model to control whether aux axes are locked; could be done on a per-zone basis but currently is not